## ros-kinetic-open-manipulator-gazebo 1.1.0

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 2.8.3)
project(open_manipulator_gazebo)

add_compile_options(-std=c++11)

################################################################################
# Find catkin packages and libraries for catkin and system dependencie
################################################################################
find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
  gazebo_ros
  gazebo_ros_control
  controller_manager
  xacro
  urdf
)

find_package(gazebo REQUIRED)

################################################################################
# Setup for python modules and scripts
################################################################################

################################################################################
# Declare ROS messages, services and actions
################################################################################

################################################################################
# Declare ROS dynamic reconfigure parameters
################################################################################

################################################################################
# Declare catkin specific configuration to be passed to dependent projects
################################################################################
catkin_package(
  CATKIN_DEPENDS roscpp std_msgs gazebo_ros gazebo_ros_control controller_manager xacro urdf
)

################################################################################
# Build
################################################################################
link_directories(${GAZEBO_LIBRARY_DIRS})

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${GAZEBO_INCLUDE_DIRS}
)

add_executable(gripper_sub_publisher src/gripper_sub_publisher.cpp)
add_dependencies(gripper_sub_publisher ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(gripper_sub_publisher ${catkin_LIBRARIES})

################################################################################
# Install
################################################################################
install(TARGETS gripper_sub_publisher
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY config launch worlds
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

################################################################################
# Test
################################################################################

=== debian/changelog ===
ros-kinetic-open-manipulator-gazebo (1.1.0-0xenial) xenial; urgency=high

  * added subscriber for gripper control #3 <https://github.com/ROBOTIS-GIT/open_manipulator_simulations/issues/3>
  * added pid gain for gazebo controller
  * change gripper name
  * change effort to position controllers
  * Contributors: Darby Lim, Hye-Jong KIM, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 07 Feb 2019 15:00:00 -0000

ros-kinetic-open-manipulator-gazebo (1.0.0-0xenial) xenial; urgency=high

  * package reconfiguration for OpenManipulator
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Thu, 31 May 2018 15:00:00 -0000

ros-kinetic-open-manipulator-gazebo (0.1.1-0xenial) xenial; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Wed, 14 Mar 2018 15:00:00 -0000

ros-kinetic-open-manipulator-gazebo (0.1.0-0xenial) xenial; urgency=high

  * modified gazebo dependency
  * update gazebo
  * update moveit
  * modified cmake, package files for release
  * refactoring for release
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-open-manipulator-gazebo
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-controller-manager, ros-kinetic-gazebo-ros, ros-kinetic-gazebo-ros-control, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-urdf, ros-kinetic-xacro
Homepage: http://wiki.ros.org/open_manipulator_gazebo
Standards-Version: 3.9.2

Package: ros-kinetic-open-manipulator-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-controller-manager, ros-kinetic-gazebo-ros, ros-kinetic-gazebo-ros-control, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-urdf, ros-kinetic-xacro
Description: Gazebo configurations package for OpenManipulator

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-open-manipulator-gazebo//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
